LinuxQMISDK: qaGobiApiQos.h File Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- File List
- Globals

Data Structures | Macros | Functions
qaGobiApiQos.h File Reference
Quality of Service (QOS)

Quality of Service API function prototypes. More...

Go to the source code of this file.

## Data Structures
struct | dataRate
struct | tokenBucket
struct | pktErrRate
struct | swiQosFlow
struct | IPv4Addr
struct | Tos
struct | IPv6Addr
struct | IPv6TrafCls
struct | Port
struct | swiQosFilter
struct | swiQosReq
struct | swiQosIds
struct | swiQosModifyReq
struct | swiQosGranted
struct | NWProfile
struct | sQosFlowStat
struct | sQosStat
struct | sApnExtraParams

## Macros
#define | MAX_QOS_SPEC_PER_APN (10)
#define | MAX_QOS_FILTER_TLV 25

## Functions
ULONG | SLQSQosReset (BYTE instance)
ULONG | SLQSQosReq (BYTE instance, swiQosReq *pQosReq, swiQosIds *pQosResp)
ULONG | SLQSQosRel (BYTE instance, swiQosIds *pQosIds)
ULONG | SLQSQosSuspend (BYTE instance, swiQosIds *pQosIds)
ULONG | SLQSQosResume (BYTE instance, swiQosIds *pQosIds)
ULONG | SLQSQosModify (BYTE instance, swiQosModifyReq *pReq)
ULONG | SLQSQosGetGranted (BYTE instance, ULONG id, swiQosGranted *pGranted)
ULONG | SLQSQosGetFlowStatus (BYTE instance, ULONG id, BYTE *pStatus)
ULONG | SLQSQosGetNetworkStatus (BYTE instance, BYTE *pStatus)
ULONG | SLQSQosGetNWProf (BYTE instance, BYTE *pSz, NWProfile *pProfile)
ULONG | SLQSQosSwiReadDataStats (BYTE instance, ULONG apnId, sQosStat *pQosStat)
ULONG | SLQSQosSwiReadApnExtraParams (BYTE instance, ULONG apnId, sApnExtraParams *pApnExtraParams)

## Detailed Description

Quality of Service API function prototypes.

Copyright: © 2013 Sierra Wireless, Inc. all rights reserved

## Macro Definition Documentation

#define MAX_QOS_FILTER_TLV 25

#define MAX_QOS_SPEC_PER_APN (10)

## Function Documentation

ULONG SLQSQosGetFlowStatus | ( | BYTE | instance,
|  | ULONG | id,
|  | BYTE * | pStatus
| ) |  |

Get the status of a QoS flow.

Parameters

  [in] | instance | QMI instance
  [in] | id | Qos identifier Index identifying the QoS flow that has been negotiated
  [out] | pStatus | Qos status Current QoS instance status: 0x01 – QMI_QOS_STATUS_ACTIVATED 0x02 – QMI_QOS_STATUS_SUSPENDED 0x03 – QMI_QOS_STATUS_GONE

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

ULONG SLQSQosGetGranted | ( | BYTE | instance,
|  | ULONG | id,
|  | swiQosGranted * | pGranted
| ) |  |

Retrieve the QoS parameters that are in effect for the specified QoS 16 flow as a result of network negotiation

Parameters

  [in] | instance | QMI instance
  [in] | id | Qos identifier Index identifying the QoS flow that has been negotiated
  [in] | pGranted | Tx/Rx Qos granted flow See swiQosGranted for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

ULONG SLQSQosGetNetworkStatus | ( | BYTE | instance,
|  | BYTE * | pStatus
| ) |  |

Queries whether the device is currently on a network that supports QoS

Parameters

  | instance[IN] | QMI instance
  [out] | pStatus | Network QoS support status 0 – No QoS support in network 1 – Network supports QoS

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA

ULONG SLQSQosGetNWProf | ( | BYTE | instance,
|  | BYTE * | pSz,
|  | NWProfile * | pProfile
| ) |  |

Get network supported QoS profile information

Parameters

  [in] | instance | QMI instance
  | in/out] | pSz Number of network supported QoS profiles for one technology
  [out] | pProfile | Network supported QoS profiles

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

ULONG SLQSQosModify | ( | BYTE | instance,
|  | swiQosModifyReq * | pReq
| ) |  |

Resume one or more existing QoS flows

Warning
  NOT IMPLEMENTED

Parameters

  [in] | instance | QMI instance
  | pReq | See swiQosModifyReq for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

ULONG SLQSQosRel | ( | BYTE | instance,
|  | swiQosIds * | pQosIds
| ) |  |

Release one or more existing QoS flows

Parameters

  [in] | instance | QMI instance
  | pQosIds | See swiQosIds for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

ULONG SLQSQosReq | ( | BYTE | instance,
|  | swiQosReq * | pQosReq,
|  | swiQosIds * | pQosResp
| ) |  |

Triggers QoS negotiation by providing QoS parameters

Parameters

  instance[IN] | QMI instance
  pQoSReq[IN] | See swiQosReq for more information
  pQosResp[OUT] | See swiQosIds for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: UMTS/CDMA
  Device Supported: MC77XX
  Timeout: 2 seconds
  At least one pair of optional TLVs must be present; Tx QoS Flow Request and Tx QoS Filter Request TLVs must both be present if either one is present; Rx QoS Flow Request and Rx QoS Filter Request TLVs must both be present if either one is present

ULONG SLQSQosReset | ( | BYTE | instance | ) |

Reset the QoS service state variables of the requesting control point

Parameters

  [in] | instance | QMI instance

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

Note
  Technology Supported: CDMA, UMTS & LTE
  Device Supported: MC7750
  Timeout: 2 seconds

ULONG SLQSQosResume | ( | BYTE | instance,
|  | swiQosIds * | pQosIds
| ) |  |

Resume one or more existing QoS flows

Parameters

  [in] | instance | QMI instance
  | pQosIds | See swiQosIds for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

ULONG SLQSQosSuspend | ( | BYTE | instance,
|  | swiQosIds * | pQosIds
| ) |  |

Suspend one or more existing QoS flows

Parameters

  [in] | instance | QMI instance
  | pQosIds | See swiQosIds for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  see qmerrno.h for eQCWWAN_xxx error values

ULONG SLQSQosSwiReadApnExtraParams | ( | BYTE | instance,
|  | ULONG | apnId,
|  | sApnExtraParams * | pApnExtraParams
| ) |  |

Queries extra APN parameters that are not reported by existing QCT QMI service

Parameters

  [in] | instance | QMI instance
  [in] | apnId | APN id
  [out] | pApnExtraParams | See sApnExtraParams for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values

ULONG SLQSQosSwiReadDataStats | ( | BYTE | instance,
|  | ULONG | apnId,
|  | sQosStat * | pQosStat
| ) |  |

Get the current number of packets and bytes sent, dropped and received for each UL, DL bearer and a sum of them for UL and DL direction in the modem.

Parameters

  [in] | instance | QMI instance
  [in] | apnId | APN id
  [out] | pQosStat | See sQosStat for more information

Returns
  eQCWWAN_ERR_NONE on success, eQCWWAN_xxx error value otherwise

See Also
  See qmerrno.h for eQCWWAN_xxx error values